Type to search.

Start a basic license

  • POST /_license/start_basic
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 6.3 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Start an indefinite basic license, which gives access to all the basic features.

Note

In order to start a basic license, you must not currently have a basic license.

If the basic license does not support all of the features that are available with your current license, however, you are notified in the response. You must then re-submit the API request with the acknowledge parameter set to true.

To check the status of your basic license, use the get basic license API.

Required privileges

Cluster privileges manage

Query parameters

acknowledge boolean · default: false

To start a basic license, you must accept the acknowledge messages and set this parameter to true.

master_timeout union oneOf · default: 30s

Period to wait for a connection to the master node.

Values: -1 0
timeout union oneOf · default: 30s

Period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0

Response

application/json
acknowledged boolean required
basic_was_started boolean required
error_message string
type enum
Values: missing trial basic standard dev silver gold platinum enterprise
acknowledge map string to string | string[]